Class | Bio::KEGG::Keggtab::DB
In: | lib/bio/db/kegg/keggtab.rb
Parent: | Object

Bio::KEGG::Keggtab::DB

### Methods

new

### External Aliases

abbrev | -> | korg
abbrev | -> | keggorg

### Attributes

abbrev | [R] | Short name for the database. (e.g. ‘ec’, ‘hsa’, ‘eco’, …) korg and keggorg are alias for abbrev method.
aliases | [R] | Array containing all alias names for the database. (e.g. ["H.sapiens", "hsa"], ["E.coli", "eco"], …)
name | [R] | Database name. (e.g. ‘enzyme’, ‘h.sapies’, ‘e.coli’, …)
path | [R] | Database flat file path. (e.g. ’$BIOROOT/db/kegg/genes’, …)
type | [R] | Definition type. (e.g. ‘enzyme’, ‘alias’, ‘genes’, …)

### Public Class methods

new(db_name, db_type, db_path, db_abbrev)

Create a container object for database definitions.

[Source]

        # File lib/bio/db/kegg/keggtab.rb, line 73
    73:     def initialize(db_name, db_type, db_path, db_abbrev)
    74:       @name = db_name
    75:       @type = db_type
    76:       @path = db_path
    77:       @abbrev = db_abbrev
    78:       @aliases = Array.new
    79:     end

[Validate]